# Class CIM_PackagedComponent
extends CIM_Container

A Component is typically contained by a PhysicalPackage, such as a Chassis or Card. The PackagedComponent association makes this relationship explicit. In the first sentence, the word, 'typically', is used. This is because a Component may be removed from, or not yet inserted into, its containing Package (ie, the Removable boolean is TRUE). Therefore, a Component may not always be associated with a container.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_Container
|
+--CIM_PackagedComponent

## Direct Known Subclasses

CIM_MemoryOnCard

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true

Description

string

A Component is typically contained by a PhysicalPackage, such as a Chassis or Card. The PackagedComponent association makes this relationship explicit. In the first sentence, the word, 'typically', is used. This is because a Component may be removed from, or not yet inserted into, its containing Package (ie, the Removable boolean is TRUE). Therefore, a Component may not always be associated with a container.

UMLPackagePath | string | CIM::Physical::Component
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PackagedComponent | CIM_PhysicalPackage
PartComponent | CIM_PackagedComponent | CIM_PhysicalComponent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
LocationWithinContainer | string | CIM_Container

## Class Methods